Results 1 to 9 of 9

Thread: zypper dup fails with "Problem: nothing provides 'qt5qmlimport..."

  1. #1

    Exclamation zypper dup fails with "Problem: nothing provides 'qt5qmlimport..."

    hey,

    since tuesday i cannot perform a distribution upgrade any more. at least not, without 'problems':

    Code:
    5 Problems:
    Problem: nothing provides 'qt5qmlimport(org.kde.userfeedback.1) >= 0' needed by the to be installed plasma5-desktop-5.22.90-lp152.492.1.x86_64
    Problem: nothing provides 'qt5qmlimport(org.kde.userfeedback.1) >= 0' needed by the to be installed plasma5-desktop-5.22.90-lp152.492.1.x86_64
    Problem: nothing provides 'qt5qmlimport(org.kde.userfeedback.1) >= 0' needed by the to be installed plasma5-desktop-5.22.90-lp152.492.1.x86_64
    Problem: nothing provides 'qt5qmlimport(org.kde.userfeedback.1) >= 0' needed by the to be installed plasma5-desktop-5.22.90-lp152.492.1.x86_64
    Problem: nothing provides 'qt5qmlimport(org.kde.userfeedback.1) >= 0' needed by the to be installed plasma5-desktop-5.22.90-lp152.492.1.x86_64
    
    Problem: nothing provides 'qt5qmlimport(org.kde.userfeedback.1) >= 0' needed by the to be installed plasma5-desktop-5.22.90-lp152.492.1.x86_64
     Solution 1: deinstallation of plasma5-desktop-5.22.5-lp152.491.3.x86_64
     Solution 2: keep obsolete plasma5-desktop-5.22.5-lp152.491.3.x86_64
     Solution 3: break plasma5-desktop-5.22.90-lp152.492.1.x86_64 by ignoring some of its dependencies
    a quick web search found some similar problems with other packages, but mostly with one called musescore, and somebody even filed a bug report earlier this year. But i did not find a solution for my problem.

    can anyone point me in the right direction?

    greetings...
    Last edited by hemathor; 25-Sep-2021 at 02:41. Reason: added link to musescore thread

  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    6,620

    Default AW: zypper dup fails with "Problem: nothing provides 'qt5qmlimport..."

    Thats not an official package ffrrom updtae Repo?
    Code:
    plasma5-desktop-5.22.90-lp152.492.1.x86_64
    Show:
    Code:
    zypper lr -d

  3. #3

    Question Re: AW: zypper dup fails with "Problem: nothing provides 'qt5qmlimport..."

    hey,

    Quote Originally Posted by Sauerland View Post
    Thats not an official package ffrrom updtae Repo?
    no, it's the so called 'Argon' version of openSUSE KDE... sorry, i failed to mention this...


    Code:
    # zypper lr -dE
    #  | Alias                 | Name                              | Enabled  | GPG Check | Refresh | Priority | Type   |  URI                                                                                              | Service
    ---+-----------------------+-----------------------------------+---------+-----------+---------+----------+--------+-------------------------------------------------------------------------------------------------+--------
     1 | openSUSE-Leap-15.2    | openSUSE-Leap-15.2                |  Yes     | (r ) Yes  | Yes     |   99     | rpm-md |  https://download.opensuse.org/distribution/leap/15.2/repo/oss/                                   | 
     2 | openSUSE-Leap-15.2-KA | openSUSE-Leap-15.2-KA             |  Yes     | (r ) Yes  | Yes     |   75     | rpm-md |  https://download.opensuse.org/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Leap_15.2  | 
     3 | openSUSE-Leap-15.2-KE | openSUSE-Leap-15.2-KE             |  Yes     | (r ) Yes  | Yes     |   75     | rpm-md |  https://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_15.2                         | 
     4 | openSUSE-Leap-15.2-KF | openSUSE-Leap-15.2-KF             |  Yes     | (r ) Yes  | Yes     |   75     | rpm-md |  https://download.opensuse.org/repositories/KDE:/Frameworks5/openSUSE_Leap_15.2                   | 
     5 | openSUSE-Leap-15.2-KQ | openSUSE-Leap-15.2-KQ             |  Yes     | (r ) Yes  | Yes     |   75     | rpm-md |  https://download.opensuse.org/repositories/KDE:/Qt5/openSUSE_Leap_15.2                           | 
     6 | openSUSE_-_graphics   | openSUSE - graphics               |  Yes     | (r ) Yes  | Yes     |   99     | rpm-md |  https://download.opensuse.org/repositories/graphics/openSUSE_Leap_15.2/                          | 
     7 | openSUSE_-_printing   | openSUSE - printing               |  Yes     | (r ) Yes  | Yes     |   99     | rpm-md |  https://download.opensuse.org/repositories/Printing/openSUSE_Leap_15.2/                          | 
     9 | packman.gwdg.de-suse  | Packman Repository                |  Yes     | (r ) Yes  | Yes     |   50     | rpm-md |  https://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.2/                              | 
    15 | repo-non-oss          | openSUSE-Leap-15.2-Non-Oss        |  Yes     | (r ) Yes  | Yes     |   99     | rpm-md |  https://download.opensuse.org/distribution/leap/15.2/repo/non-oss/                               | 
    18 | repo-update           | openSUSE-Leap-15.2-Update         |  Yes     | (r ) Yes  | Yes     |   99     | rpm-md |  https://download.opensuse.org/update/leap/15.2/oss/                                              | 
    19 | repo-update-non-oss   | openSUSE-Leap-15.2-Update-Non-Oss |  Yes     | (r ) Yes  | Yes     |   99     | rpm-md |  https://download.opensuse.org/update/leap/15.2/non-oss/                                          |
    greetings...

  4. #4
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    6,620

    Default AW: zypper dup fails with "Problem: nothing provides 'qt5qmlimport..."

    I would say:
    bugreport.

  5. #5

    Unhappy Re: AW: zypper dup fails with "Problem: nothing provides 'qt5qmlimport..."

    Quote Originally Posted by Sauerland View Post
    I would say:
    bugreport.
    Bug 1190869

  6. #6
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    16,270

    Default Re: zypper dup fails with "Problem: nothing provides 'qt5qmlimport..."

    Hmmm generally you should not be doing zypper dup but only zipper up on Leap. Is there a reason you use dup?????

  7. #7

    Arrow Re: zypper dup fails with "Problem: nothing provides 'qt5qmlimport..."

    Quote Originally Posted by gogalthorp View Post
    Hmmm generally you should not be doing zypper dup but only zipper up on Leap. Is there a reason you use dup?????
    no particular reason, just old habit. i do this since i can remember. and i don't know, why a 'zypper dup' should be harmful... enlightenments are always welcome!

  8. #8

    Lightbulb Re: zypper dup fails with "Problem: nothing provides 'qt5qmlimport..."

    problem solved!

    according to https://en.opensuse.org/SDB:KDE_repo...d_Applications there seems to be another 'extra' repository. this one must have been added silently w/o notification.

    after i added the missing 'extra' repository, the 'problem's seem to be gone.

    thanks for helping!

  9. #9
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    16,270

    Default Re: zypper dup fails with "Problem: nothing provides 'qt5qmlimport..."

    Well dup will break vendor stickiness and can install things from other repos that may not be good for your system. Best to use up in LEAP and dup in TW otherwise you may end up with a broken system.. You can accidentally add other repos if you install stuff via the web, Always pay attention.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •